CVE-2019-14247

NameCVE-2019-14247
DescriptionThe scan() function in mad.c in mpg321 0.3.2 allows remote attackers to trigger an out-of-bounds write via a zero bitrate in an MP3 file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mpg321 (PTS)stretch0.3.2-1.1vulnerable
buster0.3.2-3fixed
bookworm, bullseye, sid0.3.2-3.1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mpg321source(unstable)0.3.2-2

Notes

[stretch] - mpg321 <no-dsa> (Minor issue)
[jessie] - mpg321 <no-dsa> (Minor issue)
https://sourceforge.net/p/mpg321/bugs/51/
Fixed by handle_illegal_bitrate_value.patch

Search for package or bug name: Reporting problems